RVM on OS X 10.4 - possible?

94 views
Skip to first unread message

Dave Everitt

unread,
Jul 26, 2011, 4:11:09 AM7/26/11
to rvm (Ruby Version Manager)
Has anyone successfully installed RVM on 10.4.11 without errtrace?

http://stackoverflow.com/questions/6671816/installing-ruby-1-9-on-os-x-leopard-using-usr-local-rvm-issues/

If so, how - what were the steps?

kelvin

unread,
Jul 26, 2011, 4:34:34 PM7/26/11
to rvm (Ruby Version Manager)
You could try installing a newer version of bash.

On Jul 26, 3:11 am, Dave Everitt <dever...@innotts.co.uk> wrote:
> Has anyone successfully installed RVM on 10.4.11 without errtrace?
>
> http://stackoverflow.com/questions/6671816/installing-ruby-1-9-on-os-...

Pr0d1r2

unread,
Jul 26, 2011, 11:50:15 PM7/26/11
to rvm (Ruby Version Manager)


On Jul 26, 10:11 am, Dave Everitt <dever...@innotts.co.uk> wrote:
> Has anyone successfully installed RVM on 10.4.11 without errtrace?

yes :)

>
> If so, how - what were the steps?

https://github.com/doubledrones/central_plexus/blob/master/setup-tiger.sh

This script contains what you need (and more).
It is all content within "if [ ! -x $HOME/.rvm/scripts/rvm ]; then"

Dave Everitt

unread,
Jul 27, 2011, 3:35:58 PM7/27/11
to rvm (Ruby Version Manager)
Thanks - will it run without the ports installs at the end? I don't
want to use macports...

> https://github.com/doubledrones/central_plexus/blob/master/setup-tige...

Pr0d1r2

unread,
Jul 29, 2011, 12:02:33 AM7/29/11
to rvm (Ruby Version Manager)


On Jul 27, 9:35 pm, Dave Everitt <dever...@innotts.co.uk> wrote:
> Thanks - will it run without the ports installs at the end? I don't
> want to use macports...

You are welcome :)

Of course. Use only beginning of script.

The rest of the script is used for me to configure clean machines to
work :)


Cheers

Dave Everitt

unread,
Jul 29, 2011, 5:20:13 PM7/29/11
to rvm (Ruby Version Manager)
Below is the readout (and there is no 'scripts' dir under '.rvm'?

./setup-tiger.sh
% Total % Received % Xferd Average Speed Time Time
Time Current
Dload Upload Total Spent
Left Speed
100 7291 100 7291 0 0 5812 0 0:00:01 0:00:01
--:--:-- 40505
./scripts/install: line 14: syntax error near unexpected token `fi'
./scripts/install: line 14: `fi'
./setup-tiger.sh: line 31: /Users/deveritt/.rvm/scripts/rvm: No such
file or directory
./setup-tiger.sh: line 34: rvm: command not found
./setup-tiger.sh: line 36: rvm: command not found
./setup-tiger.sh: line 38: rvm: command not found

Confession: I've been attempting to update bash (and after several
dependency installs ran into libSystem.B.dylib problems), so reverted
to the system version to run this script.

Pr0d1r2

unread,
Aug 1, 2011, 3:24:39 AM8/1/11
to rvm (Ruby Version Manager)

Fix is in https://github.com/doubledrones/central_plexus/commit/034c0dd1d543fd5b4f3a3215df5123f374ac9c27

Related to almost-always-changing installation script :)

Note that you require ~/.curlrc file with "insecure" to install
rubies. (like in https://github.com/doubledrones/dotmatrix/commit/c74fff230351bf99707bfb7d810ade7c5c5e5873)

Just remove ~/.rvm/ and run script again.


Enjoy


>
> Confession: I've been attempting to update bash (and after several
> dependency installs ran into libSystem.B.dylib problems), so reverted
> to the system version to run this script.

Not related.

Dave Everitt

unread,
Aug 1, 2011, 10:52:12 AM8/1/11
to rvm (Ruby Version Manager)
All good (and thanks for the effort!). Ruby 1.9.2 installed okay, and
despite a few errors...

$ rvm install ruby-1.9.2-p290
/Users/deveritt/.rvm/scripts/manage: /Users/deveritt/.rvm/scripts/
functions/build: line 9: syntax error near unexpected token `newline'
/Users/deveritt/.rvm/scripts/manage: /Users/deveritt/.rvm/scripts/
functions/build: line 9: ` rvm_configure_env+=('
Installing Ruby from source to: /Users/deveritt/.rvm/rubies/ruby-1.9.2-
p290, this may take a while depending on your cpu(s)...

ruby-1.9.2-p290 - #fetching
[SNIP]
ruby-1.9.2-p290 - #extracted to /Users/deveritt/.rvm/src/ruby-1.9.2-
p290
/Users/deveritt/.rvm/scripts/manage: line 7: __rvm_make_flags: command
not found
Fetching yaml-0.1.4.tar.gz to /Users/deveritt/.rvm/archives
[SNIP]
Installing yaml to /Users/deveritt/.rvm/usr
ruby-1.9.2-p290 - #configuring
ruby-1.9.2-p290 - #compiling
ruby-1.9.2-p290 - #installing
/Users/deveritt/.rvm/scripts/rubygems: line 19: conditional binary
operator expected
/Users/deveritt/.rvm/scripts/rubygems: line 19: syntax error near `=~'
/Users/deveritt/.rvm/scripts/rubygems: line 19: ` elif
[[ "$rvm_ruby_string" =~ ruby-1.9.3.* ]]'
ruby-1.9.2-p290 - adjusting #shebangs for (gem irb erb ri rdoc testrb
rake).
ruby-1.9.2-p290 - #importing default gemsets (/Users/deveritt/.rvm/
gemsets/)
Install of ruby-1.9.2-p290 - #complete

But:
$ rvm use 1.9.2
Using /Users/deveritt/.rvm/gems/ruby-1.9.2-p290
$ ruby -v
ruby 1.9.2p290 (2011-07-09 revision 32553) [i386-darwin8.11.1]

...it seems okay!

> Fix is inhttps://github.com/doubledrones/central_plexus/commit/034c0dd1d543fd5...

Pr0d1r2

unread,
Aug 1, 2011, 11:58:40 PM8/1/11
to rvm (Ruby Version Manager)


On Aug 1, 4:52 pm, Dave Everitt <dever...@innotts.co.uk> wrote:
> All good (and thanks for the effort!). Ruby 1.9.2 installed okay, and
> despite a few errors...
>

I am glad to hear that. Thank you for your valuable feedback.

Cheers :)
Reply all
Reply to author
Forward
0 new messages